#include <stdio.h>
#include <math.h>

#define ENTRIES	4096

#ifndef PI
#define PI	3.141592653f
#endif

#define ROTPI	PI/180.f

int main(int argc, const char *argv[])
{
    int i;
    int sval[ENTRIES];
    int cval[ENTRIES];
    FILE *fp;
    
    argc = argc;
    argv = argv;

    fp = fopen("tables.dat", "wb");
    if( !fp )
    {
	printf("I cannot write tables.dat!\n");
	return 1;
    }
    
    for(i=0; i<ENTRIES; i++)
    {
	sval[i] = 65536*sin((360.f*((float)i)/ENTRIES)*ROTPI);
	cval[i] = 65536*cos((360.f*((float)i)/ENTRIES)*ROTPI);
    }

    fwrite(sval, 4, ENTRIES, fp);
    fwrite(cval, 4, ENTRIES, fp);

    fclose(fp);

    return 0;
    
} /* main */
