/* pcx.h - PCX image loader header
 * 2022 John "Lameguy" Wilbert Villamor of Meido-Tek Productions (Lameguy64)
 *
 */
#ifndef _PCX_H
#define _PCX_H

#pragma pack(push, 1)

typedef struct _PCX_COL {
    uint8_t r;
    uint8_t g;
    uint8_t b;
} PCX_COL;

typedef struct _PCX_HEAD {
    uint8_t     Manufacturer;
    uint8_t     Version;
    uint8_t     Encoding;
    uint8_t     BitsPerPixel;
    int16_t     Xmin,Ymin;
    int16_t     Xmax,Ymax;
    int16_t     HDpi,VDpi;
    PCX_COL     Colormap[16];
    int8_t      Reserved;
    int8_t      NPlanes;
    int16_t     BytesPerLine;
    int16_t     PaletteInfo;
    int16_t     HScreenSize;
    int16_t     VScreenSize;
    int8_t      Filler[54];
} PCX_HEAD;

#pragma pack(pop) /* pack */

uint8_t *loadpcx( const char *file, int *xdim, int *ydim, uint8_t *pal );

#endif /* _PCX_H */
